## kpat 18.12.3

=== debian/changelog ===
kpat (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:31:23 +0000

kpat (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:18:32 +0000

kpat (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:12:47 +0000

kpat (4:18.12.0-0ubuntu1) disco; urgency=medium

  * Install kpat.categories file.
  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:50:59 +0000

kpat (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3).
  * Merge debian changes. Remaining changes:
    - pkg-config and freecell-solver now required as build dep.
    - Bumped build deps.
    - debian/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 09 Dec 2018 11:41:49 +0000
