## kpat 19.12.1

=== debian/changelog ===
kpat (4:19.12.1-1) unstable; urgency=medium

  * Team upload.
  * Switch debian/watch to new KDE release service URL.
  * New upstream release (19.12.1):
    - Add High DPI support. (Closes: #823131)
  * Review debian/copyright.
  * Bump Standards-Version to 4.5.0:
    - Add Rules-Requires-Root: no.
  * Drop kde-l10n migration rules, not required anymore after 2 stable
    releases.
  * Move from dhmk to dh, bump compatibility level to 12.
  * Add hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Update upstream project homepage URL.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 03 Feb 2020 20:01:05 +0100

kpat (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - bump the Qt packages to 5.9.0
    - bump the KF packages to 5.46.0
    - remove qtdeclarative5-dev, no more needed
    - explicitly add gettext
    - add pkg-config, and libfreecell-solver-dev, used for the new solver
  * Switch cmake parameter BIN_INSTALL_DIR to KDE_INSTALL_BINDIR, as the former
    is deprecated.
  * Run the tests under xvfb-run, as they need a DISPLAY:
    - add xauth, and xvfb as build dependencies
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Oct 2019 11:20:43 +0200
