=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libkf5doctools-dev (>= 5.46.0~),
                libkf5guiaddons-dev (>= 5.46.0~),
                libkf5i18n-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:19.12.3~),
                libkf5kio-dev (>= 5.46.0~),
                libkf5newstuff-dev (>= 5.46.0~),
                libkf5widgetsaddons-dev (>= 5.46.0~),
