## kpat 20.08.2

=== debian/changelog ===
kpat (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:40:09 +0100

kpat (4:20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop removing the kpat_mimetypes.mo translations, as they are no more
    shipped now.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * CI: disable the reprotest build path variations.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 17:27:25 +0200

kpat (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.12.0
    - bump KF packages to 5.59.0

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 19:45:56 +0200

kpat (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - does not build logs of debug prints by default (Closes: #941858)
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 5.10.0
  * Do not create temporary directories for the tests, as they run fine even
    without them.
  * Add the configuration for the CI on salsa.
  * Do not ship the kpat_mimetypes.mo translations, as their .po files are used
    to translate the mimetype XML files (which embed translations).
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jun 2020 11:57:42 +0200
