=== debian/changelog ===
kpat (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Pass -DWITH_BH_SOLVER=OFF to cmake, as black-hole-solitaire is not
    available in Debian yet.
  * Unregister the old /etc/xdg/kcardtheme.knsrc, and /etc/xdg/kpat.knsrc
    conffiles.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2021 23:39:26 +0100

kpat (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 16 Nov 2020 10:51:41 +0100
