=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libkf5doctools-dev (>= 5.59.0~),
                libkf5guiaddons-dev (>= 5.59.0~),
                libkf5i18n-dev (>= 5.59.0~),
-               libkf5kdegames-dev (>= 4:20.08.1~),
+               libkf5kdegames-dev (>= 4.9.0~),
                libkf5kio-dev (>= 5.59.0~),
                libkf5newstuff-dev (>= 5.59.0~),
                libkf5widgetsaddons-dev (>= 5.59.0~),
@@ -35,7 +35,7 @@
                shared-mime-info,
                xauth,
                xvfb,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://kde.org/applications/games/org.kde.kpat
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpat
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpat.git
