=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.64.0~),
                libkf5guiaddons-dev (>= 5.64.0~),
                libkf5i18n-dev (>= 5.64.0~),
-               libkf5kdegames-dev (>= 4:21.04.0~),
+               libkf5kdegames-dev (>= 4:21.08.1~),
                libkf5kio-dev (>= 5.64.0~),
                libkf5newstuff-dev (>= 5.64.0~),
                libkf5widgetsaddons-dev (>= 5.64.0~),
